Bug 146312 - yum crashes with command line args
Summary: yum crashes with command line args
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-26 21:51 UTC by Aaron Luchko
Modified: 2014-01-21 22:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-05 20:39:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (328.47 KB, text/plain)
2005-01-26 21:54 UTC, Aaron Luchko
no flags Details

Description Aaron Luchko 2005-01-26 21:51:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020

Description of problem:
If I try to launch yum with any arguments given and privaleges on the command line (valid or not) it crashes with the error (with no args it just gives the help dialog and exits normally) 

*** glibc detected *** double free or corruption (out): 0x09849108 ***
Aborted

I was successfully using yum just prior to this (installing native eclipse rpms) which also installed libgcj4-4.0.0-0.22 and suspect that may have had something to do with it.  As well this only seems to occur when running with privalges, 'yum foo' will fail fine, but using sudo or root I get the error.

Version-Release number of selected component (if applicable):
yum-2.1.12-0.fc3

How reproducible:
Always

Steps to Reproduce:
1. not sure, installing libgcj4-4.0.0-0.22 may be involved


Additional info:

Comment 1 Aaron Luchko 2005-01-26 21:54:08 UTC
Created attachment 110276 [details]
log

The log generated by strace from executing the line
$ sudo strace yum foo &> yum_log

Comment 2 Aaron Luchko 2005-01-26 23:51:31 UTC
Problem has seemed to go away on its own and I've been able to install updates
though it still has some problems with locking up, calling a futex with
FUTEX_WAIT shortly after trying to open /var/lib/rpm/Packages though I found
removing /var/lib/rpm/__db.00* solved this problem.

Comment 3 Seth Vidal 2005-02-05 20:39:03 UTC
closing since this sounds like not a yum bug

marking as worksforme


Note You need to log in before you can comment on or make changes to this bug.